<?php
define('THEME_URL', get_template_directory_uri());
define('THEME_PATH', get_template_directory());
define('SITE_URL', get_site_url());

include_once 'inc/styles-scripts.php';

add_action( 'after_setup_theme', 'theme_setup' );
if ( ! function_exists( 'theme_setup' ) ):
function theme_setup() {
	global $wp_roles;

	// This theme styles the visual editor with editor-style.pps to match the theme style.
	add_editor_style();

	// This theme uses Featured Images (also known as post thumbnails) for per-post/per-page Custom Header images
	add_theme_support( 'post-thumbnails' );
}
endif; // theme_setup

// Remove generator meta tag
remove_action('wp_head', 'wp_generator');

// Move Yoast to bottom
function yoasttobottom() {
	return 'low';
}
add_filter( 'wpseo_metabox_prio', 'yoasttobottom');

/*Options Page*/

if( function_exists('acf_add_options_page') ) {

	acf_add_options_page(array(
		'page_title' 	=> 'Options',
		'menu_title'	=> 'Options',
		'menu_slug' 	=> 'theme-general-settings',
		'capability'	=> 'edit_posts',
		'redirect'		=> false
	));

	acf_add_options_sub_page(array(
		'page_title' 	=> 'Users',
		'menu_title'	=> 'Users',
		'parent_slug'	=> 'theme-general-settings',
	));

}